Subject: RE: "Does anybody really know what time it is?" :-)

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 2 May 2001 07:59:10 -0400

I have two mobiles.  One gets time from the network (Qualcom, CDMA/Sprint
PCS)
the other has a local notion of time (Motorola, GSM/VoiceStream).

If you want the device to use the MGC's notion of time, you can,
use the reply of the ServiceChange to get it.

Doesn't solve the basic issue that the MG initiates the ServiceChange,
and it sends it's notion of time, the MGC replies with it's notion of
time.  I do think that, while you might want it to be different,
it's okay, and the idea of using a fixed time (with the correct
timezone) is acceptable.

Brian

> -----Original Message-----
> From: Ami Amir [mailto:[email-masked]]
> Sent: Wednesday, May 02, 2001 2:36 AM
> To: Paul Long; 'Megaco (E-mail)
> Subject: RE: "Does anybody really know what time it is?" :-)
> 
> 
> Hi
> 
> I've been following the discussion with great interest. 
> 
> We should learn from the mobile network's experience. When 
> you switch on
> your phone - wherever you are, the NETWORK provides you with 
> the local time
> that is displayed on your screen. This functionally makes the 
> most sense.
> 
> Keep in mind that timestamp might be very important for billing (e.g.
> day/night rates), intelligent call redirects etc.
> 
> To apply to MEGACO - to my mind it makes sense that the MGC 
> is the device
> that sets the clock for the MG. I am not familiar enough with H.248 to
> propose how this should be implemented, but it seems to me 
> that the current
> MG registration has already a time stamp. If that is the 
> case, maybe there
> should be a way for an MGC to reset the MG clock to its own timestamp?
> 
> Ami
> 
>  -----Original Message-----
> From: 	Paul Long [mailto:[email-masked]] 
> Sent:	Tuesday, May 01, 2001 8:28 PM
> To:	'Megaco (E-mail)
> Subject:	RE: "Does anybody really know what time it is?" :-)
> 
> Nurit,
> 
> Hey, it just occurred to me that the MG can't use the MGC 
> timestamp to set
> its own clock at least for the just-established association 
> because the MG
> has already reported its "time base" in the (required) timestamp it
> previously sent to the MGC in its ServiceChange registration 
> request. It
> would have to unregister first and then re-register in order 
> to use the new
> setting. Maybe that was the intent, though.
> 
> You know, the more I think about it, the more convinced I am 
> that there is
> no reason to encode absolute time. Not even that it should be 
> optional, or
> it would be nice if a sender were able to, etc., but that 
> there is really no
> value in absolute time because the receiving entity will 
> always apply a
> delta to normalize the senders' time to its own. What does seem to be
> needed, though, is some way for a receiver to know what time 
> zone it and the
> sender is in. But note that this feature would just be useful and not
> essential.
> 
> Paul Long
> ipDialog, Inc.
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Nurit Shenhar
> Sent: Tuesday, May 01, 2001 8:37 AM
> To: 'Megaco (E-mail)
> Subject: RE: "Does anybody really know what time it is?" :-)
> 
> 
> Hi
> 
> We had a discussion about the time issue at the second half 
> of January 2001.
> (see subject: TimeStamp in registration replies). In this 
> discussion we said
> that the TimeStamp should be added to the ServiceChangeReply, 
> and can be
> used to set the MG clock according to the MGC clock. Was 
> anything done about
> it?
> 
> Nurit
>

---

From: "Paul Long" <[email-masked]>
Date: Wed, 2 May 2001 12:51:37 -0500

Brian,

As you say, the MG has already commited to a timebase via its ServiceChange
request by the time it receives the MGC's timestamp in the ServiceChange
reply. Therefore, for the MG to synch its own clock to the MGC's clock, the
MG would have to unregister and then re-register with the new, synched
timestamp. That's certainly technically feasible and compliant behavior but
probably isn't a practical solution due to the added bandwidth and delay.
Plus, I don't see what this actually buys you. Woohoo, your timestamps are
synched! :-)

Paul Long
ipDialog, Inc.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Rosen, Brian
Sent: Wednesday, May 02, 2001 6:59 AM
To: 'Ami Amir'; Paul Long; 'Megaco (E-mail)
Subject: RE: "Does anybody really know what time it is?" :-)

Brian